"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.authenticate = void 0;
const chalk_1 = __importDefault(require("chalk"));
const Api_1 = require("../Api");
const config_1 = require("../config");
const interface_1 = require("../interface");
const utils_1 = require("../utils");
exports.authenticate = (argv) => __awaiter(void 0, void 0, void 0, function* () {
    interface_1.spinner.start("Validating");
    const config = config_1.buildAuthenticationConfig(argv);
    interface_1.spinner.text = "Authenticating";
    const api = new Api_1.API(config.api);
    const { code } = yield api.startRegistryChallenge(config.email);
    interface_1.print(chalk_1.default `📬 We sent an email to {bold ${config.email}}. Please follow the provided steps.`);
    interface_1.spinner.start("Waiting for confirmation...");
    const { authToken } = (yield utils_1.poll(() => api.checkRegistryChallenge(code), (response) => {
        if (response.status === "complete")
            return true;
        return false;
    }));
    interface_1.spinner.stopAndPersist({
        text: chalk_1.default `Your {bold FRAMER_TOKEN} for publishing is {bold ${authToken}}`,
        symbol: "🔑",
    });
});
//# sourceMappingURL=authenticate.js.map