"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.listTeams = void 0;
const chalk_1 = __importDefault(require("chalk"));
const interface_1 = require("../interface");
const validators = __importStar(require("../validation"));
const list_teams_1 = require("../config/list-teams");
const Api_1 = require("../Api");
exports.listTeams = (argv) => __awaiter(void 0, void 0, void 0, function* () {
    interface_1.spinner.start("Validating");
    // Need FRAMER_TOKEN to setup .npmrc file correctly
    // which is needed to access information from the registry
    validators.framerTokenIsSet();
    // Build the configuration needed by the project
    const config = list_teams_1.buildListTeamsConfig(argv);
    const api = new Api_1.API(config.api);
    interface_1.spinner.text = "Fetching teams list";
    const userInfo = yield api.getUserInfo();
    interface_1.spinner.stop();
    if (userInfo.spaces && userInfo.spaces.length) {
        interface_1.print(chalk_1.default `
List of teams available for publishing
{gray Id                                     Team}`);
        for (const space of userInfo.spaces) {
            if (!space.permissions.write)
                continue;
            interface_1.print(chalk_1.default `${space.id} - {bold ${space.displayName}} ${space.isDefault ? chalk_1.default `{green default}` : ""}`);
        }
    }
    else {
        interface_1.print(`No teams available for publishing`);
    }
});
//# sourceMappingURL=list-teams.js.map