"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadLocalConfig = void 0;
const conf_1 = __importDefault(require("conf"));
const Logger_1 = require("../Logger");
const logger = new Logger_1.Logger("config:local");
let cachedLocalConfig;
exports.loadLocalConfig = () => {
    const defaults = {
        // Init with the current time so the first version check is only
        // after the set interval, so not to bother users right away
        lastUpdateCheck: Date.now(),
    };
    // Cache the config
    if (!cachedLocalConfig) {
        logger.info("Loading local configuration.");
        cachedLocalConfig = new conf_1.default({
            projectName: "framer-cli",
            schema: {
                lastUpdateCheck: {
                    type: "integer",
                },
            },
            defaults,
        });
    }
    return cachedLocalConfig;
};
//# sourceMappingURL=local.js.map