"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildProjectConfig = void 0;
const path_1 = __importDefault(require("path"));
const defaults_1 = require("./defaults");
exports.buildProjectConfig = (argv) => {
    let projectPath;
    const argvProjectPath = argv._[1];
    // If a project path is not specified, default to current directory
    if (argvProjectPath) {
        if (typeof argvProjectPath !== "string") {
            throw new Error("Invalid project path provided.");
        }
        projectPath = path_1.default.resolve(argvProjectPath);
    }
    else {
        projectPath = process.cwd();
    }
    return {
        cachePath: defaults_1.cachePath,
        yarnLinkDir: defaults_1.yarnLinkDir,
        projectPath,
    };
};
//# sourceMappingURL=project.js.map