"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildPublishConfig = void 0;
const assert_1 = __importDefault(require("assert"));
const chalk_1 = __importDefault(require("chalk"));
const project_1 = require("./project");
const api_1 = require("./api");
exports.buildPublishConfig = (argv) => {
    if (argv.hasOwnProperty("yes")) {
        assert_1.default.equal(typeof argv.yes, "boolean", chalk_1.default `The {bold --yes} argument can only be set as a flag.`);
    }
    if (argv.hasOwnProperty("new")) {
        assert_1.default.equal(typeof argv.new, "string", chalk_1.default `The {bold --new} argument can only be a string.`);
        assert_1.default.ok(argv.new.trim(), chalk_1.default `The {bold --new} argument value cannot be blank.`);
    }
    if (argv.hasOwnProperty("team")) {
        assert_1.default.equal(typeof argv.team, "string", chalk_1.default `The {bold --team} argument can only be a string.`);
        assert_1.default.ok(argv.team.trim(), chalk_1.default `The {bold --team} argument value cannot be blank.`);
    }
    return {
        api: api_1.buildAPIConfig(argv),
        disablePrompts: Boolean(argv.yes),
        isNewArgSet: Boolean(argv.new),
        isPrivate: !argv.public,
        spaceId: typeof argv.team === "string" ? argv.team : undefined,
        isPublic: Boolean(argv.public),
        newName: typeof argv.new === "string" ? argv.new : undefined,
        project: project_1.buildProjectConfig(argv),
    };
};
//# sourceMappingURL=publish.js.map