#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// Configure the logger at the beginning of the process
const types_1 = require("./types");
const Logger_1 = require("./Logger");
Logger_1.Logger.configure({ output: types_1.LogOutput.debug });
const interface_1 = require("./interface");
const run_1 = require("./run");
run_1.run().then(() => {
    process.exit();
}, error => {
    if (error) {
        interface_1.printError(error.message || error);
    }
    process.exit(1);
});
//# sourceMappingURL=index.js.map