"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.run = void 0;
const update_1 = require("./update");
const interface_1 = require("./interface");
const commands_1 = require("./commands");
function run() {
    return __awaiter(this, void 0, void 0, function* () {
        interface_1.setProcessTitle("Framer Project");
        // Check that the latest version of the CLI is being ran
        yield update_1.checkIfOutOfDate();
        // Command is treated specially when parsing argv
        const { command, argv, help } = interface_1.parseArgv();
        // Terminate early if command does not exist
        if (!command || !commands_1.commands[command]) {
            interface_1.printUsage();
            // Terminate with an error code
            process.exit(1);
            // Return for testing
            return;
        }
        //   // Print usage for a specific command
        if (commands_1.commands[command] && help) {
            interface_1.printUsage(command);
            process.exit();
            // Return for testing
            return;
        }
        // Errors will be handled by the `run` Promise catch
        return commands_1.commands[command](argv);
    });
}
exports.run = run;
//# sourceMappingURL=run.js.map