import { ProjectConfig } from "@framerjs/build-library";
import minimist from "minimist";
export declare enum LogOutput {
    debug = 0,
    silent = 1
}
export declare enum LogTypes {
    "log" = "log",
    "debug" = "debug",
    "info" = "info",
    "warn" = "warn",
    "error" = "error"
}
export interface Command {
    (argv: Argv): void;
}
export declare enum CommandTypes {
    "authenticate" = "authenticate",
    "build" = "build",
    "publish" = "publish",
    "version" = "version",
    "help" = "help",
    "listTeams" = "list-teams"
}
export interface AuthenticationConfig {
    api: APIConfig;
    email: string;
}
export interface BuildConfig {
    project: ProjectConfig;
    api: APIConfig;
}
export interface LocalConfig {
    lastUpdateCheck: number;
}
export { ProjectConfig } from "@framerjs/build-library";
export interface PublishConfig {
    api: APIConfig;
    disablePrompts: boolean;
    isNewArgSet: boolean;
    isPrivate: boolean;
    isPublic: boolean;
    newName: string | undefined;
    project: ProjectConfig;
    spaceId: string | undefined;
}
export interface VersionConfig {
    project: ProjectConfig;
    api: APIConfig;
}
export interface TeamsListConfig {
    api: APIConfig;
}
export interface APIConfig {
    baseURL: string;
    token?: string;
}
export declare type Argv = minimist.ParsedArgs;
export interface ParsedArgv {
    command: string | undefined;
    argv: Argv;
    help: boolean;
}
